from setuptools import setup, find_packages
import os

version = '1.1'

setup(
    name='sixfeetup.nowplaying',
    version=version,
    description="Show the track info for the given last.fm user",
    long_description=open("README.txt").read() + "\n" +
                     open(os.path.join("docs", "HISTORY.txt")).read(),
    classifiers=[
      "Programming Language :: Python",
      ],
    keywords='lastfm',
    author='Clayton Parker',
    author_email='robots@claytron.com',
    url='http://sixfeetup.com',
    license='GPL',
    packages=find_packages(exclude=['ez_setup']),
    namespace_packages=['sixfeetup'],
    include_package_data=True,
    zip_safe=True,
    install_requires=[
        'setuptools',
        # -*- Extra requirements: -*-
        'pylast',
        'keyring',
        'python-dateutil',
    ],
    entry_points="""
    [console_scripts]
    nowplaying = sixfeetup.nowplaying.script:main
    """,
    )
